package com.ruoyi.buyerapi.service;

import java.io.IOException;
import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerAuxiliaryVoucher;
import org.springframework.web.multipart.MultipartFile;

/**
 * 辅助帐凭证Service接口
 *
 * @author ruoyi
 * @date 2022-09-22
 */
public interface IBuyerAuxiliaryVoucherService
{
    /**
     * 查询辅助帐凭证
     *
     * @param id 辅助帐凭证主键
     * @return 辅助帐凭证
     */
    public BuyerAuxiliaryVoucher selectBuyerAuxiliaryVoucherById(String id);

    /**
     * 查询辅助帐凭证列表
     *
     * @param buyerAuxiliaryVoucher 辅助帐凭证
     * @return 辅助帐凭证集合
     */
    public List<BuyerAuxiliaryVoucher> selectBuyerAuxiliaryVoucherList(BuyerAuxiliaryVoucher buyerAuxiliaryVoucher);

    /**
     * 新增辅助帐凭证
     *
     * @param buyerAuxiliaryVoucher 辅助帐凭证
     * @return 结果
     */
    public int insertBuyerAuxiliaryVoucher(BuyerAuxiliaryVoucher buyerAuxiliaryVoucher);

    public int importTable(MultipartFile file) throws Exception;

    /**
     * 修改辅助帐凭证
     *
     * @param buyerAuxiliaryVoucher 辅助帐凭证
     * @return 结果
     */
    public int updateBuyerAuxiliaryVoucher(BuyerAuxiliaryVoucher buyerAuxiliaryVoucher);

    /**
     * 批量删除辅助帐凭证
     *
     * @param ids 需要删除的辅助帐凭证主键集合
     * @return 结果
     */
    public int deleteBuyerAuxiliaryVoucherByIds(String[] ids);
    public int updateFileInfos(BuyerAuxiliaryVoucher buyerAuxiliaryVoucher);

    /**
     * 删除辅助帐凭证信息
     *
     * @param id 辅助帐凭证主键
     * @return 结果
     */
    public int deleteBuyerAuxiliaryVoucherById(String id);
}
